import { createSSRApp } from 'vue';
import App from './App.vue';
import Model from '@/utils/util';
import uView from './uni_modules/vk-uview-ui';
import config from '@/utils/config';
import { createPinia } from 'pinia';

export function createApp() {
	const app = createSSRApp(App);
	app.config.globalProperties.$baseUrl = config.baseUrl;
	app.config.globalProperties.$model = Model;
	app.use(uView);
	app.use(createPinia());
	return {
		app,
	};
}
